NSX-T Data Center REST API

Read a SHA monitor profile

Read a SHA monitor profile.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/sha/monitors/{monitor-id}/profiles/{monitor-profile-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/sha/monitors/esx-obsrv-stats-monitor/profiles/p1

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
ShaMonitorProfile+

Example Response:

{ "is_default": false, "applied_to_group_paths": [ "/infra/domains/default/groups/esxi-node-group" ], "configs": { "check_interval": 301, "resource_type": "ShaEsxObsrvStatsMonitorConfig", "enable": true }, "sub_monitor_configs": [ { "resource_type": "ShaEsxObsrvDatapathTrafficStatsMonitorConfig", "enable": false } ], "resource_type": "ShaMonitorProfile", "id": "p1", "display_name": "p1", "path": "/infra/sha/monitors/esx-obsrv-stats-monitor/profiles/p1", "relative_path": "p1", "parent_path": "/infra/sha/monitors/esx-obsrv-stats-monitor", "remote_path": "", "unique_id": "18c82293-852b-4f0a-9026-2231df82bb9d", "realization_id": "18c82293-852b-4f0a-9026-2231df82bb9d", "owner_id": "b92140a3-fad5-4362-afaa-e0d475accd72", "marked_for_delete": false, "overridden": false, "_system_owned": false, "_protection": "NOT_PROTECTED", "_create_time": 1756889311415, "_create_user": "admin", "_last_modified_time": 1756889807236, "_last_modified_user": "admin", "_revision": 1 }

Required Permissions:

read

Feature:

policy_ops

Additional Errors: